# Social (Cryptohopper API)

Posts, comments, likes, profiles, followers and messages.

- [Check if a profile alias is available](https://www.cryptohopper.com/api-documentation/api-reference/social/post-social-alias.md): `POST /social/alias`
- [Get your social feed](https://www.cryptohopper.com/api-documentation/api-reference/social/get-social-feed.md): `GET /social/feed`
- [Get your social feed for a range](https://www.cryptohopper.com/api-documentation/api-reference/social/get-social-feed-start-end.md): `GET /social/feed/{start}/{end}`
- [List your private conversations](https://www.cryptohopper.com/api-documentation/api-reference/social/get-social-messages.md): `GET /social/messages`
- [Get a private conversation](https://www.cryptohopper.com/api-documentation/api-reference/social/get-social-messages-conversation-id.md): `GET /social/messages/{conversation_id}`
- [Get your social notifications](https://www.cryptohopper.com/api-documentation/api-reference/social/get-social-notifications.md): `GET /social/notifications`
- [Get your social notifications for a range](https://www.cryptohopper.com/api-documentation/api-reference/social/get-social-notifications-start-end.md): `GET /social/notifications/{start}/{end}`
- [Create a social post](https://www.cryptohopper.com/api-documentation/api-reference/social/post-social-post.md): `POST /social/post`
- [Get a social post](https://www.cryptohopper.com/api-documentation/api-reference/social/get-social-post-id.md): `GET /social/post/{id}`
- [Delete a social post](https://www.cryptohopper.com/api-documentation/api-reference/social/delete-social-post-id.md): `DELETE /social/post/{id}`
- [List the comments on a post](https://www.cryptohopper.com/api-documentation/api-reference/social/get-social-post-id-comment.md): `GET /social/post/{id}/comment`
- [Comment on a post](https://www.cryptohopper.com/api-documentation/api-reference/social/post-social-post-id-comment.md): `POST /social/post/{id}/comment`
- [Get a comment](https://www.cryptohopper.com/api-documentation/api-reference/social/get-social-post-id-comment-comment-id.md): `GET /social/post/{id}/comment/{comment_id}`
- [Delete a comment](https://www.cryptohopper.com/api-documentation/api-reference/social/delete-social-post-id-comment-comment-id.md): `DELETE /social/post/{id}/comment/{comment_id}`
- [Like a comment](https://www.cryptohopper.com/api-documentation/api-reference/social/post-social-post-id-comment-comment-id-like.md): `POST /social/post/{id}/comment/{comment_id}/like`
- [Remove your like from a comment](https://www.cryptohopper.com/api-documentation/api-reference/social/delete-social-post-id-comment-comment-id-like.md): `DELETE /social/post/{id}/comment/{comment_id}/like`
- [Like a post](https://www.cryptohopper.com/api-documentation/api-reference/social/post-social-post-id-like.md): `POST /social/post/{id}/like`
- [Remove your like from a post](https://www.cryptohopper.com/api-documentation/api-reference/social/delete-social-post-id-like.md): `DELETE /social/post/{id}/like`
- [Pin a post to your profile](https://www.cryptohopper.com/api-documentation/api-reference/social/patch-social-post-id-pin.md): `PATCH /social/post/{id}/pin`
- [Repost a post](https://www.cryptohopper.com/api-documentation/api-reference/social/post-social-post-id-repost.md): `POST /social/post/{id}/repost`
- [Undo a repost](https://www.cryptohopper.com/api-documentation/api-reference/social/delete-social-post-id-repost.md): `DELETE /social/post/{id}/repost`
- [Get a social profile](https://www.cryptohopper.com/api-documentation/api-reference/social/get-social-profile-id.md): `GET /social/profile/{id}`
- [Update your social profile](https://www.cryptohopper.com/api-documentation/api-reference/social/patch-social-profile-id.md): `PATCH /social/profile/{id}`
- [Get the feed of a profile](https://www.cryptohopper.com/api-documentation/api-reference/social/get-social-profile-id-feed.md): `GET /social/profile/{id}/feed`
- [Follow a profile](https://www.cryptohopper.com/api-documentation/api-reference/social/post-social-profile-id-follow.md): `POST /social/profile/{id}/follow`
- [Unfollow a profile](https://www.cryptohopper.com/api-documentation/api-reference/social/delete-social-profile-id-follow.md): `DELETE /social/profile/{id}/follow`
- [List the followers of a profile](https://www.cryptohopper.com/api-documentation/api-reference/social/get-social-profile-id-followers.md): `GET /social/profile/{id}/followers`
- [List the profiles a profile follows](https://www.cryptohopper.com/api-documentation/api-reference/social/get-social-profile-id-following.md): `GET /social/profile/{id}/following`
- [Search social posts, comments and profiles](https://www.cryptohopper.com/api-documentation/api-reference/social/post-social-search.md): `POST /social/search`
- [Get suggested profiles to follow](https://www.cryptohopper.com/api-documentation/api-reference/social/get-social-whotofollow.md): `GET /social/whotofollow`

